ZGREP(1)

NAME
zgrep, zegrep, zfgrep - print lines matching a pattern in gzip-compressed files

SYNOPSIS
zgrep [grep-flags] [--] pattern [files ...]

zegrep [grep-flags] [--] pattern [file ...]

zfgrep [grep-flags] [--] pattern [file ...]

DESCRIPTION
zgrep runs grep(1) on files or stdin, if no files argument is given, after decompressing them with zcat(1).

The grep-flags and pattern arguments are passed on to grep(1). If an -e flag is found in the grep-flags, zgrep will not look for a pattern argument.

zegrep calls egrep(1), while zfgrep calls fgrep(1).

EXIT STATUS
In case of missing arguments or missing pattern, 1 will be returned, otherwise 0.

SEE ALSO
egrep(1), fgrep(1), grep(1), gzip(1), zcat(1)

AUTHORS
Thomas Klausner <wiz@NetBSD.org>